# Installation
> `npm install --save @types/gulp-diff`

# Summary
This package contains type definitions for gulp-diff (https://github.com/creativelive/gulp-diff).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/gulp-diff.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/gulp-diff/index.d.ts)
````ts
/// <reference types="node" />

import stream = require("stream");

/**
 * Gulp task to diff files in the stream against a destination.
 * @param dest target directory to diff against, defaults to diff against original source file
 */
declare function gulp_diff(dest?: string): stream.Transform;

declare namespace gulp_diff {
    const diff: typeof gulp_diff;

    function reporter(opts?: ReporterOptions): stream.Transform;
    interface ReporterOptions {
        /**
         * do not show diff information, defaults to `false`
         */
        quiet?: boolean | undefined;
        /**
         * emit an error on finding diffs, defaults to `false`
         */
        fail?: boolean | undefined;
    }
}

export = gulp_diff;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 03:09:37 GMT
 * Dependencies: [@types/node](https://npmjs.com/package/@types/node)

# Credits
These definitions were written by [Ika](https://github.com/ikatyang).
